This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 980417 - [fork][online_ui_card#291]No roles can access /partner/apply page.
[fork][online_ui_card#291]No roles can access /partner/apply page.
Status: CLOSED WORKSFORME
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 06:32 EDT by Yujie Zhang
Modified: 2015-05-14 21:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-02 09:12:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-07-02 06:32:20 EDT
Description of problem:

Tried to access /partner/apply page, but found no roles can access to it, according to 'access callback' => '_openshift_partner_program_apply_access', there should be roles to access to partner/apply page, but checked the definition of '_openshift_partner_program_apply_access' as follow:

function _openshift_partner_program_apply_access() {
+  global $user;
+  profile_load_profile($user);
+  if ($user->profile_user_state == 'New partner') {
+    drupal_goto('partner/tc');
+  }
+  elseif ($user->profile_user_state == 'Active partner') {
+    drupal_goto('partner/portal');
+  }
+  return $user->uid > 0;
+} 

There is no role to access partner/apply page. Found a "Not a partner" role when changing the roles of my account, so maybe "Not a parnter" should be able to access partner/apply page.


Version-Release number of selected component (if applicable):
fork_ami_online_ui_291_665

How reproducible:
always

Steps to Reproduce:
1.Try to access partner/apply page using all roles.
2.
3.

Actual results:

No roles can access partner/apply page.

Expected results:

There should be one role which can access partner/apply page.

Additional info:
Comment 1 Jessica Forrester 2013-07-02 09:12:01 EDT
The drupal cache needs to be cleared for the new partner URLs to become available.  After launching the fork ami, log in to drupal as admin and "Flush all caches".  Then you can log out and log in as any user and go to /partner/apply.

Note You need to log in before you can comment on or make changes to this bug.